diff --git a/README b/README
index 6f61008..66f9c22 100644
--- a/README
+++ b/README
@@ -708,6 +708,7 @@ The following options need to be configu
 		CONFIG_RTC_DS1307	- use Maxim, Inc. DS1307 RTC
 		CONFIG_RTC_DS1337	- use Maxim, Inc. DS1337 RTC
 		CONFIG_RTC_DS1338	- use Maxim, Inc. DS1338 RTC
+		CONFIG_RTC_DS1339	- use Maxim, Inc. DS1339 RTC
 		CONFIG_RTC_DS164x	- use Dallas DS164x RTC
 		CONFIG_RTC_MAX6900	- use Maxim, Inc. MAX6900 RTC
 
diff --git a/rtc/ds1337.c b/rtc/ds1337.c
index 9f0c8c0..e49c284 100644
--- a/rtc/ds1337.c
+++ b/rtc/ds1337.c
@@ -24,7 +24,7 @@
 
 /*
  * Date & Time support (no alarms) for Dallas Semiconductor (now Maxim)
- * DS1337 Real Time Clock (RTC).
+ * DS1337 & DS1339 Real Time Clock (RTC).
  */
 
 #include <common.h>
@@ -32,7 +32,8 @@
 #include <rtc.h>
 #include <i2c.h>
 
-#if defined(CONFIG_RTC_DS1337) && (CONFIG_COMMANDS & CFG_CMD_DATE)
+#if (defined(CONFIG_RTC_DS1337) || defined(CONFIG_RTC_DS1339)) && \
+	(CONFIG_COMMANDS & CFG_CMD_DATE)
 
 /*---------------------------------------------------------------------*/
 #undef DEBUG_RTC
@@ -188,4 +189,4 @@ static unsigned char bin2bcd (unsigned i
 	return (((n / 10) << 4) | (n % 10));
 }
 
-#endif /* CONFIG_RTC_DS1337 && (CFG_COMMANDS & CFG_CMD_DATE) */
+#endif /* (CONFIG_RTC_DS1337 || CONFIG_RTC_DS1339) && (CFG_COMMANDS & CFG_CMD_DATE) */
